define timeperiod {
    timeperiod_name 24x7
    alias           24 Hours A Day, 7 Days A Week
    sunday          00:00-24:00
    monday          00:00-24:00
    tuesday         00:00-24:00
    wednesday       00:00-24:00
    thursday        00:00-24:00
    friday          00:00-24:00
    saturday        00:00-24:00
}

define timeperiod {
    timeperiod_name workhours
    alias           Standard Work Hours
    monday          09:00-17:00
    tuesday         09:00-17:00
    wednesday       09:00-17:00
    thursday        09:00-17:00
    friday          09:00-17:00
}

define timeperiod {
    timeperiod_name nonworkhours
    alias           Non-Work Hours
    sunday          00:00-24:00
    monday          00:00-09:00,17:00-24:00
    tuesday         00:00-09:00,17:00-24:00
    wednesday       00:00-09:00,17:00-24:00
    thursday        00:00-09:00,17:00-24:00
    friday          00:00-09:00,17:00-24:00
    saturday        00:00-24:00
}

define timeperiod {
    timeperiod_name never
    alias           Never
}


define command {
    command_name    notify-by-nothing
    command_line    /bin/true
}

define command {
    command_name    host-notify-by-email
    command_line    /usr/bin/printf "%b" "***** Icinga *****\n\nNotification Type: $NOTIFICATIONTYPE$\nHost: $HOSTALIAS$\nState: $HOSTSTATE$ for $HOSTDURATION$\nAddress: $HOSTADDRESS$\nInfo:\n\n$HOSTOUTPUT$\n\nDate/Time: $LONGDATETIME$\n\nACK by: $HOSTACKAUTHOR$\nComment: $HOSTACKCOMMENT$\n" | /usr/bin/mail -s "** $NOTIFICATIONTYPE$ alert $NOTIFICATIONNUMBER$ - $HOSTALIAS$ host is $HOSTSTATE$ **" $CONTACTEMAIL$
}

define command{
    command_name    notify-by-email
    command_line    /usr/bin/printf "%b" "***** Icinga  *****\n\nNotification Type: $NOTIFICATIONTYPE$\n\nService: $SERVICEDESC$\nHost: $HOSTALIAS$\nState: $SERVICESTATE$ for $SERVICEDURATION$\nAddress: $HOSTADDRESS$\n\nInfo:\n\n$SERVICEOUTPUT$\n\nDate/Time: $LONGDATETIME$\n\nACK by: $SERVICEACKAUTHOR$\nComment: $SERVICEACKCOMMENT$\n" | /usr/bin/mail -s "** $NOTIFICATIONTYPE$ alert $NOTIFICATIONNUMBER$ - $HOSTALIAS$/$SERVICEDESC$ is $SERVICESTATE$ **" $CONTACTEMAIL$
}

define host {
    name server-host
    check_command check-host-alive
    max_check_attempts 10
    event_handler_enabled 1
    flap_detection_enabled 1
    process_perf_data 1
    retain_status_information 1
    retain_nonstatus_information 1
    notification_interval 0
    notification_period 24x7
    notifications_enabled 1
    failure_prediction_enabled 1
    register 0
    notification_options d,u,r
    contact_groups admins
}

define host {
    use server-host
    name switch-host
    check_command check-host-none
}

define service {
    name server-service
    is_volatile 0
    max_check_attempts 4
    normal_check_interval 5
    retry_check_interval 1
    active_checks_enabled 1
    passive_checks_enabled 1
    check_period 24x7
    parallelize_check 1
    obsess_over_service 1
    check_freshness 0
    event_handler_enabled 1
    flap_detection_enabled 1
    process_perf_data 1
    retain_status_information 1
    retain_nonstatus_information 1
    notification_interval 0
    notification_period 24x7
    notifications_enabled 1
    failure_prediction_enabled 1
    register 0
    notification_options w,u,c,r
    contact_groups admins
}

define command{
    command_name	check_disk
    command_line	/usr/lib/nagios/plugins/check_disk -w $ARG1$ -c $ARG2$ -p $ARG3$
}

define command {
    command_name	check_etc_hosts
    command_line	/usr/bin/perl /usr/lib/sitesummary/nagios-plugins/check_etc_hosts
}

define command {
    command_name	check_etc_resolv
    command_line	/usr/bin/perl /usr/lib/sitesummary/nagios-plugins/check_etc_resolv
}

define command{
    command_name	check_http
    command_line	/usr/lib/nagios/plugins/check_http -H $HOSTADDRESS$ -I $HOSTADDRESS$
}

define command{
    command_name	check_load
    command_line	/usr/lib/nagios/plugins/check_load --warning=$ARG2$ --critical=$ARG2$
}

define command{
    command_name	check_ping
    command_line	/usr/lib/nagios/plugins/check_ping -H $HOSTADDRESS$ -w $ARG1$ -c $ARG2$
}

define command {
    command_name	check_shutdown
    command_line	/usr/lib/sitesummary/nagios-plugins/check_shutdown
}

define command{
    command_name	check_ssh
    command_line	/usr/lib/nagios/plugins/check_ssh $HOSTADDRESS$
}

define command{
    command_name	check_dhcp
    command_line	/usr/lib/nagios/plugins/check_dhcp
}

define command{
    command_name	check_ftp
    command_line	/usr/lib/nagios/plugins/check_ftp -H localhost
}

define command{
    command_name	check_ntp
    command_line	/usr/lib/nagios/plugins/check_ntp -H $HOSTADDRESS$
}

define command{
    command_name	check_tcp
    command_line	/usr/lib/nagios/plugins/check_tcp -H $HOSTADDRESS$ -p $ARG1$
}

define command{
    command_name	check_dns
    command_line	/usr/lib/nagios/plugins/check_dns -s $HOSTADDRESS$ -H $ARG1$
}

define command{
    command_name	check_imaps
    command_line	/usr/lib/nagios/plugins/check_imap -p 993 -H $HOSTADDRESS$ -S
}

define command{
    command_name	check_nfs
    command_line	/usr/lib/nagios/plugins/check_rpc -H $HOSTADDRESS$ -C nfs -c2,3
}

define command{
    command_name	check_smtp
    command_line	/usr/lib/nagios/plugins/check_smtp -H localhost
}

define command{
    command_name	check_squid
    command_line	/usr/lib/nagios/plugins/check_http -H $HOSTADDRESS$ -p $ARG1$  -u $ARG2$  -e 'HTTP/1.0 200 OK'
}

define command{
    command_name	check_swap
    command_line	/usr/lib/nagios/plugins/check_swap -w $ARG1 -c $ARG2$
}

define command{
    command_name	check_procs
    command_line	/usr/lib/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$
}

define command{
    command_name	check_procs_zombie
    command_line	/usr/lib/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -s Z
}

define command{
    command_name	check_procs_cron
    command_line	/usr/lib/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -C cron
}

define command{
    command_name	check_procs_dhcpd3
    command_line	/usr/lib/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -C dhcpd3
}

define command{
    command_name	check_procs_dhcpd
    command_line	/usr/lib/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -C dhcpd
}

define command{
    command_name	check_linux_raid
    command_line	/usr/lib/nagios/plugins/check_linux_raid
}

define command{
    command_name	check_users
    command_line	/usr/lib/nagios/plugins/check_users -w $ARG1$ -c $ARG2$
}

define command{
    command_name	check_apt
    command_line	/usr/lib/nagios/plugins/check_apt
}

define command{
    command_name	check_ldap_root
    command_line	/usr/lib/sitesummary/nagios-plugins/check_ldap_root '$HOSTADDRESS$'
}


define command{
    command_name       check_kernel_status
    command_line       /usr/bin/perl /usr/lib/sitesummary/nagios-plugins/check_kernel_status
}

define command{
    command_name	check_cups_queue
    command_line	/usr/lib/sitesummary/nagios-plugins/check_cups_queue -H $HOSTADDRESS$ -T b -w 30 -c 70 -a 1
}

define command{
    command_name	check-host-alive
    command_line	/usr/lib/nagios/plugins/check_ping -H $HOSTADDRESS$ -w 5000,100% -c 5000,100% -p 1
}

define command{
    command_name	check-host-none
    command_line	/bin/echo Switch hosts are not checked
}

define command{
    command_name        check_nrpe
    command_line        /usr/lib/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$
}
